Name:		nagios-plugins-virtuozzo
Version:	0.1
Release:	1.9
Url:		http://www.linux-administrator.com
Group:		System/Monitoring
Summary:	Check virtuozzo VM state
License:	GPL
Source0:	check_virtuozzo_vm
Source1:	virtuozzo.cfg
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
AutoReqProv:	off
BuildRequires:	nagios-nrpe nagios-plugins bash
Requires:	nagios-plugins nagios-nrpe bash vzctl

%description
This plugin checks the state of every VM listed in 'vzlist -a'.
You can define excludes in /etc/vzlist.exclude by IP or name,
one exclude per line.

%prep

%build

%install
%__install -d %{buildroot}%{_prefix}/lib/nagios/plugins
%__install -d %{buildroot}%{_sysconfdir}/nagios/nrpe.d
%__install -m755 %{S:0} %{buildroot}%{_prefix}/lib/nagios/plugins/check_virtuozzo_vm
%__install -m644 %{S:1} %{buildroot}%{_sysconfdir}/nagios/nrpe.d/virtuozzo.cfg

%clean
rm -rf %{buldroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/nagios
%dir %{_sysconfdir}/nagios/nrpe.d
%config %{_sysconfdir}/nagios/nrpe.d/virtuozzo.cfg
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_virtuozzo_vm

%changelog
